@echo off

echo.
if not exist ..\..\frontline\nul goto not_installed
if not exist ..\..\frontline\liblist.gam goto not_installed

if exist ..\..\frontline\liblist_before_BotMixer.gam goto already_installed
if exist ..\..\frontline\dlls\BotMaster5000.dll goto uninstall_botmaster

echo copying BotMixer5000.dll to frontline\dlls\BotMixer5000.dll
copy ..\BotMixer5000.dll ..\..\frontline\dlls

echo renaming frontline\dlls\frontline.dll to frontline\dlls\frontline_botmixer.dll
rename ..\..\frontline\dlls\frontline.dll frontline_botmixer.dll

echo copying fakedll.dll to frontline\dlls\frontline.dll
copy ..\fakedll.dll ..\..\frontline\dlls\frontline.dll

echo copying botmixer5000.cfg to frontline\botmixer5000.cfg
copy botmixer5000.cfg ..\..\frontline\botmixer5000.cfg

echo copying liblist_orig.gam to frontline\liblist_before_BotMixer.gam
copy liblist_orig.gam ..\..\frontline\liblist_before_BotMixer.gam

echo copying liblist.gam to frontline\liblist.gam
copy liblist.gam ..\..\frontline\liblist.gam

echo.
echo.
echo INSTALL COMPLETED SUCCESSFULLY!
goto done

:not_installed
echo Frontline Force is NOT installed (or is in an unknown directory)
echo.
echo Installation unsucessfull!
goto done

:already_installed
echo BotMixer5000 add-on for Frontline Force is ALREADY installed!
echo.
echo (Please run REMOVE then try running INSTALL again)
goto done

:uninstall_botmaster
echo You MUST uninstall BotMaster5000 first.  Use the Remove.bat batch file
echo in the BotMaster5000 MOD directory to uninstall BotMaster5000 before
echo installing BotMixer5000.
echo.
goto done

:done
echo.
echo.
pause
