@echo off

echo.
if not exist ..\..\dmc\nul goto not_installed
if not exist ..\..\dmc\liblist.gam goto not_installed

if exist ..\..\dmc\liblist_before_BotMixer.gam goto already_installed
if exist ..\..\dmc\dlls\BotMaster5000.dll goto uninstall_botmaster

echo copying BotMixer5000.dll to dmc\dlls\BotMixer5000.dll
copy ..\BotMixer5000.dll ..\..\dmc\dlls

echo renaming dmc\dlls\dmc.dll to dmc\dlls\dmc_botmixer.dll
rename ..\..\dmc\dlls\dmc.dll dmc_botmixer.dll

echo copying fakedll.dll to dmc\dlls\dmc.dll
copy ..\fakedll.dll ..\..\dmc\dlls\dmc.dll

echo copying botmixer5000.cfg to dmc\botmixer5000.cfg
copy botmixer5000.cfg ..\..\dmc\botmixer5000.cfg

echo copying liblist_orig.gam to dmc\liblist_before_BotMixer.gam
copy liblist_orig.gam ..\..\dmc\liblist_before_BotMixer.gam

echo copying liblist.gam to dmc\liblist.gam
copy liblist.gam ..\..\dmc\liblist.gam

echo.
echo.
echo INSTALL COMPLETED SUCCESSFULLY!
goto done

:not_installed
echo Deathmatch Classic is NOT installed (or is in an unknown directory)
echo.
echo Installation unsucessfull!
goto done

:already_installed
echo BotMixer5000 add-on for Deathmatch Classic is ALREADY installed!
echo.
echo (Please run REMOVE then try running INSTALL again)
goto done

:uninstall_botmaster
echo You MUST uninstall BotMaster5000 first.  Use the Remove.bat batch file
echo in the BotMaster5000 MOD directory to uninstall BotMaster5000 before
echo installing BotMixer5000.
echo.
goto done

:done
echo.
echo.
pause
