@echo off

echo.
if not exist ..\..\gearbox\nul goto not_installed
if not exist ..\..\gearbox\liblist.gam goto not_installed

if exist ..\..\gearbox\liblist_before_BotMixer.gam goto already_installed
if exist ..\..\gearbox\dlls\BotMaster5000.dll goto uninstall_botmaster

echo copying BotMixer5000.dll to gearbox\dlls\BotMixer5000.dll
copy ..\BotMixer5000.dll ..\..\gearbox\dlls

echo renaming gearbox\dlls\opfor.dll to gearbox\dlls\opfor_botmixer.dll
rename ..\..\gearbox\dlls\opfor.dll opfor_botmixer.dll

echo copying fakedll.dll to gearbox\dlls\opfor.dll
copy ..\fakedll.dll ..\..\gearbox\dlls\opfor.dll

echo copying botmixer5000.cfg to gearbox\botmixer5000.cfg
copy botmixer5000.cfg ..\..\gearbox\botmixer5000.cfg

echo copying liblist_orig.gam to gearbox\liblist_before_BotMixer.gam
copy liblist_orig.gam ..\..\gearbox\liblist_before_BotMixer.gam

echo copying liblist.gam to gearbox\liblist.gam
copy liblist.gam ..\..\gearbox\liblist.gam

echo.
echo.
echo INSTALL COMPLETED SUCCESSFULLY!
goto done

:not_installed
echo Opposing Force is NOT installed (or is in an unknown directory)
echo.
echo Installation unsucessfull!
goto done

:already_installed
echo BotMixer5000 add-on for Opposing Force is ALREADY installed!
echo.
echo (Please run REMOVE then try running INSTALL again)
goto done

:uninstall_botmaster
echo You MUST uninstall BotMaster5000 first.  Use the Remove.bat batch file
echo in the BotMaster5000 MOD directory to uninstall BotMaster5000 before
echo installing BotMixer5000.
echo.
goto done

:done
echo.
echo.
pause
