@echo off

echo.
if not exist ..\..\tfc\nul goto not_installed
if not exist ..\..\tfc\liblist.gam goto not_installed

if exist ..\..\tfc\liblist_before_BotMixer.gam goto already_installed
if exist ..\..\tfc\dlls\BotMaster5000.dll goto uninstall_botmaster

echo copying BotMixer5000.dll to tfc\dlls\BotMixer5000.dll
copy ..\BotMixer5000.dll ..\..\tfc\dlls

echo renaming tfc\dlls\tfc.dll to tfc\dlls\tfc_botmixer.dll
rename ..\..\tfc\dlls\tfc.dll tfc_botmixer.dll

echo copying fakedll.dll to tfc\dlls\tfc.dll
copy ..\fakedll.dll ..\..\tfc\dlls\tfc.dll

echo copying botmixer5000.cfg to tfc\botmixer5000.cfg
copy botmixer5000.cfg ..\..\tfc\botmixer5000.cfg

echo copying liblist_orig.gam to tfc\liblist_before_BotMixer.gam
copy liblist_orig.gam ..\..\tfc\liblist_before_BotMixer.gam

echo copying liblist.gam to tfc\liblist.gam
copy liblist.gam ..\..\tfc\liblist.gam

echo.
echo.
echo INSTALL COMPLETED SUCCESSFULLY!
goto done

:not_installed
echo Team Fortress 1.5 is NOT installed (or is in an unknown directory)
echo.
echo Installation unsucessfull!
goto done

:already_installed
echo BotMixer5000 add-on for Team Fortress 1.5 is ALREADY installed!
echo.
echo (Please run REMOVE then try running INSTALL again)
goto done

:uninstall_botmaster
echo You MUST uninstall BotMaster5000 first.  Use the Remove.bat batch file
echo in the BotMaster5000 MOD directory to uninstall BotMaster5000 before
echo installing BotMixer5000.
echo.
goto done

:done
echo.
echo.
pause
